apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: inbiz-eventbus
  name: inbiz-eventbus
  namespace: edoc2
spec:
  replicas: 3
  selector:
    matchLabels:
      app: inbiz-eventbus
  template:
    metadata:
      labels:
        app: inbiz-eventbus
    spec:
      hostname: inbiz-eventbus
      containers:
      - image: registry.edoc2.com:5000/edoc2v5/inbiz-eventbus:inbiz-v6.6.0.0-beta
        imagePullPolicy: IfNotPresent
        name: inbiz-eventbus
        envFrom:
        - configMapRef:
            name: mid-envfile
        - configMapRef:
            name: inbiz-envfile
        securityContext:
          capabilities:
            add: ["SYS_PTRACE"]
        ports:
        - name: eventbus-5013
          containerPort: 5013
        - name: eventbus-15013
          containerPort: 15013
      restartPolicy: Always
      nodeSelector:
        node.drive.nodelabels: InDrive
---
apiVersion: v1
kind: Service
metadata:
  name: inbiz-eventbus
  namespace: edoc2
  labels:
    app: inbiz-eventbus
spec:
  ports:
  - name: eventbus
    port: 5013
    targetPort: 5013
    protocol: TCP
  - name: eventbus-grpc
    port: 15013
    targetPort: 15013
    protocol: TCP
  selector:
    app: inbiz-eventbus
  type: ClusterIP
